<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hotent.portal.persistence.dao.PortalDataSensitiveDao">
	<resultMap id="PortalDataSensitive" type="com.hotent.portal.model.PortalDataSensitive">
		<id property="id" column="ID_" jdbcType="VARCHAR"/>
		<result property="dataSourceAlias" column="DATA_SOURCE_ALIAS_" jdbcType="VARCHAR"/>
		<result property="tableName" column="TABLE_NAME_" jdbcType="VARCHAR"/>
		<result property="desensitizationRules" column="DESENSITIZATION_RULES_" jdbcType="LONGVARCHAR"/>
		<result property="reulesRemark" column="REULES_REMARK_" jdbcType="LONGVARCHAR"/>
	</resultMap>
	
	
	<select id="getByDsNameAndTableName"  parameterType="java.lang.String" resultMap="PortalDataSensitive">
		select * from portal_data_sensitive where DATA_SOURCE_ALIAS_ = #{dataSourceAlias} and TABLE_NAME_ = #{tableName}
	</select>
	
	
</mapper>